public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jonathan Callen (abcd)" <abcd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in eclass: gnome2.eclass
Date: Mon, 26 Apr 2010 19:37:25 +0000 (UTC)	[thread overview]
Message-ID: <20100426193726.245C52C04C@corvid.gentoo.org> (raw)

abcd        10/04/26 19:37:25

  Modified:             gnome2.eclass
  Log:
  Add EAPI-3/Prefix support, bug #312531

Revision  Changes    Path
1.87                 eclass/gnome2.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/gnome2.eclass?rev=1.87&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/gnome2.eclass?rev=1.87&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/gnome2.eclass?r1=1.86&r2=1.87

Index: gnome2.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v
retrieving revision 1.86
retrieving revision 1.87
diff -u -r1.86 -r1.87
--- gnome2.eclass	17 Feb 2009 16:05:33 -0000	1.86
+++ gnome2.eclass	26 Apr 2010 19:37:25 -0000	1.87
@@ -1,6 +1,6 @@
 # Copyright 1999-2006 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.86 2009/02/17 16:05:33 dang Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.87 2010/04/26 19:37:25 abcd Exp $
 
 #
 # gnome2.eclass
@@ -83,6 +83,7 @@
 }
 
 gnome2_src_install() {
+	has ${EAPI:-0} 0 1 2 && ! use prefix && ED="${D}"
 	# if this is not present, scrollkeeper-update may segfault and
 	# create bogus directories in /var/lib/
 	local sk_tmp_dir="/var/lib/scrollkeeper"
@@ -93,10 +94,10 @@
 
 	if [[ -z "${USE_EINSTALL}" || "${USE_EINSTALL}" = "0" ]]; then
 		debug-print "Installing with 'make install'"
-		emake DESTDIR="${D}" "scrollkeeper_localstate_dir=${D}${sk_tmp_dir} " "$@" install || die "install failed"
+		emake DESTDIR="${D}" "scrollkeeper_localstate_dir=${ED}${sk_tmp_dir} " "$@" install || die "install failed"
 	else
 		debug-print "Installing with 'einstall'"
-		einstall "scrollkeeper_localstate_dir=${D}${sk_tmp_dir} " "$@" || die "einstall failed"
+		einstall "scrollkeeper_localstate_dir=${ED}${sk_tmp_dir} " "$@" || die "einstall failed"
 	fi
 
 	unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
@@ -106,15 +107,15 @@
 
 	# Do not keep /var/lib/scrollkeeper because:
 	# 1. The scrollkeeper database is regenerated at pkg_postinst()
-	# 2. ${D}/var/lib/scrollkeeper contains only indexes for the current pkg
+	# 2. ${ED}/var/lib/scrollkeeper contains only indexes for the current pkg
 	#    thus it makes no sense if pkg_postinst ISN'T run for some reason.
 	if [[ -z "$(find "${D}" -name '*.omf')" ]]; then
 		export SCROLLKEEPER_UPDATE="0"
 	fi
-	rm -rf "${D}${sk_tmp_dir}"
+	rm -rf "${ED}${sk_tmp_dir}"
 
 	# Make sure this one doesn't get in the portage db
-	rm -fr "${D}/usr/share/applications/mimeinfo.cache"
+	rm -fr "${ED}/usr/share/applications/mimeinfo.cache"
 }
 
 gnome2_pkg_preinst() {






             reply	other threads:[~2010-04-26 19:37 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-04-26 19:37 Jonathan Callen (abcd) [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-05-23 19:31 [gentoo-commits] gentoo-x86 commit in eclass: gnome2.eclass Mike Frysinger (vapier)
2012-12-05 23:41 Doug Goldstein (cardoe)
2011-09-25 15:15 Pacho Ramos (pacho)
2011-08-25 18:08 Nirbheek Chauhan (nirbheek)
2011-08-24  7:12 Arun Raghavan (ford_prefect)
2011-08-14  3:46 Nirbheek Chauhan (nirbheek)
2011-07-15 17:31 Zac Medico (zmedico)
2011-04-22 11:04 Nirbheek Chauhan (nirbheek)
2011-04-21 21:27 Gilles Dartiguelongue (eva)
2011-04-21 21:06 Gilles Dartiguelongue (eva)
2011-04-21 20:58 Gilles Dartiguelongue (eva)
2011-04-09 13:14 Gilles Dartiguelongue (eva)
2010-12-07  6:20 Gilles Dartiguelongue (eva)
2010-12-07  6:19 Gilles Dartiguelongue (eva)
2009-02-17 16:05 Daniel Gryniewicz (dang)

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20100426193726.245C52C04C@corvid.gentoo.org \
    --to=abcd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox